VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::File::ChecksumInfo Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::File::ChecksumInfo:

## Avaliable Methods
public method | set_checksum ()
public method | get_algorithm ()
public method | new ()
public method | get_checksum ()
public method | set_algorithm ()

## Detailed Description

Provides checksums for a class Com::Vmware::Content::Library::Item::File::Info object.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::File::ChecksumInfo::get_algorithm | ( |  | ) |

Gets the value of 'algorithm' property.

Return values

  algorithm | - The current value of the field. The checksum algorithm (SHA1, MD5) used to calculate the checksum. Optional#

Code:
click to view
# Number of lines of code in get_algorithm: 4
sub get_algorithm {
my ($self, %args) = @_;
return $self->{'algorithm'};
}

public method Com::Vmware::Content::Library::Item::File::ChecksumInfo::get_checksum | ( |  | ) |

Gets the value of 'checksum' property.

Return values

  checksum | - The current value of the field. The checksum value calculated with :attr:`Com::Vmware::Content::Library::Item::File::ChecksumInfo.algorithm` . String#

Code:
click to view
# Number of lines of code in get_checksum: 4
sub get_checksum {
my ($self, %args) = @_;
return $self->{'checksum'};
}

public method Com::Vmware::Content::Library::Item::File::ChecksumInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::File::ChecksumInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{algorithm} = $args{'algorithm'};
$self->{checksum} = $args{'checksum'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::File::ChecksumInfo');
$self->set_binding_name('name' => 'com.vmware.content.library.item.file.checksum_info');
$self->set_binding_field('key' => 'algorithm', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'File::ChecksumAlgorithm')));
$self->set_binding_field('key' => 'checksum', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::File::ChecksumInfo::set_algorithm | ( |  | ) |

Sets the given value for 'algorithm' property.

Parameters

  algorithm | - New value for the field. The checksum algorithm (SHA1, MD5) used to calculate the checksum.

Code:
click to view
# Number of lines of code in set_algorithm: 5
sub set_algorithm {
my ($self, %args) = @_;
$self->{'algorithm'} = $args{'algorithm'};
return;
}

public method Com::Vmware::Content::Library::Item::File::ChecksumInfo::set_checksum | ( |  | ) |

Sets the given value for 'checksum' property.

Parameters

  checksum | - New value for the field. The checksum value calculated with :attr:`Com::Vmware::Content::Library::Item::File::ChecksumInfo.algorithm` .

Code:
click to view
# Number of lines of code in set_checksum: 5
sub set_checksum {
my ($self, %args) = @_;
$self->{'checksum'} = $args{'checksum'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/File.pm